Skip to content

LoanAppFormPkt⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppFormPktSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppFormPktSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFormPktFormPacketTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppFormPktSelectFields
POST /nexum/627/persistent/parameter/getLoanAppFormPktSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppFormPktFormPacketType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppFormPktFields": true,
    "LoanAppFormPktFields": {
      "DefaultPrinter": [
        0
      ],
      "Description": true,
      "ForcePrinting": [
        0
      ],
      "FormPacketType": true,
      "SpecfileName": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppFormPktPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppFormPktPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppFormPktPagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppFormPktPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppFormPktFields": true,
    "LoanAppFormPktFields": {
      "DefaultPrinter": [
        0
      ],
      "Description": true,
      "ForcePrinting": [
        0
      ],
      "FormPacketType": true,
      "SpecfileName": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppFormPktPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppFormPktPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppFormPktPagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppFormPktPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppFormPktFields": true,
    "LoanAppFormPktFields": {
      "DefaultPrinter": [
        0
      ],
      "Description": true,
      "ForcePrinting": [
        0
      ],
      "FormPacketType": true,
      "SpecfileName": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppFormPktByID⁠

POST

Execute the persistent ParameterService updateLoanAppFormPktByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppFormPktFormPacketTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppFormPktByID
POST /nexum/627/persistent/parameter/updateLoanAppFormPktByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppFormPktFormPacketType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppFormPktFields": {
    "DefaultPrinter": [
      {
        "EntryId": 0,
        "DefaultPrinter": 0
      }
    ],
    "Description": "string",
    "ForcePrinting": [
      {
        "EntryId": 0,
        "ForcePrinting": true
      }
    ],
    "FormPacketType": 0,
    "SpecfileName": [
      {
        "EntryId": 0,
        "SpecfileName": "string"
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}